@import url('/cs/res/generic.css');

body
{
    background-image: url('/cs/res/img/cloudystars.gif');
    color: white;
    text-shadow: 0px 2px black;
    user-select: none;
}

#welcome-wrapper, #welcome-background
{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

a
{
    color: white;
}

#welcome-wrapper
{
    background-image: url('/cs/res/img/c36-background.png');
    background-repeat: repeat-y;
    background-color: red;
    border: 2px solid blue;
    width: 640px;
    height: 480px;
    z-index: -1;
    overflow-x: hidden;
    overflow-y: scroll;
}

#welcome-wrapper main
{
    margin-left: 32px;
}

#welcome-wrapper main header, #welcome-wrapper main footer
{
    margin-top: 32px;
    margin-bottom: 32px;
    text-align: center;
}

#welcome-wrapper main section
{
    margin-top: 32px;
    margin-bottom: 32px;
    margin-right: auto;
    margin-left: auto;

    width: 480px;
    padding: 4px;

    background-color: crimson;
    border-top: 1px solid white;
    border-left: 1px solid white;
    border-right: 1px solid black;
    border-bottom: 1px solid black;
}

.requires-border
{
    border-top: 1px solid white;
    border-left: 1px solid white;
    border-right: 1px solid black;
    border-bottom: 1px solid black;
}

#welcome-background
{
    pointer-events: none;
    z-index: 1;
    width: 798px;
    height: 628px;
    display: grid;
}

#moon
{
    justify-self: start;
    align-self: start;
    pointer-events: all;
}

#earth 
{
    justify-self: end;
    align-self: end;
}

.secret
{
    cursor: help;
}